package com.fuzamei.log;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.DailyRollingFileAppender;
import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;

public class Log4jDemo {
	public static void main(String[] args) throws InterruptedException {
		Logger logger=Logger.getLogger(Log4jDemo.class);
		DOMConfigurator.configure("log4j.xml");
		while(true){
			Thread.sleep(2000);
			logger.error("this is an error information");
			logger.info("this is an info information");
			logger.fatal("this is an fatal information");
			logger.trace("this is an trace information");
			logger.warn("this is an warn information");
			logger.debug("this is an debug information");
		}
	}
}
